Page MenuHomePhabricator

ci: automatically clear config.cache if it cannot be used
ClosedPublic

Authored by zmike on Aug 2 2018, 12:27 PM.

Details

Summary

if env vars change between runs then the cache is invalidated, causing
configure to print a very specific error

by running a separate script to catch this error, the build can detect
and clear the cache when necessary to avoid having to manually disable
the cache when changing build settings
Depends on D6697

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 2 2018, 12:27 PM
zmike requested review of this revision.Aug 2 2018, 12:27 PM
bu5hm4n accepted this revision.Aug 3 2018, 1:01 AM
bu5hm4n added a subscriber: bu5hm4n.
bu5hm4n added inline comments.
.travis.yml
87

Just out of interest, where is the cache for linux stored / restored ?

This revision is now accepted and ready to land.Aug 3 2018, 1:01 AM
zmike added inline comments.Aug 6 2018, 11:55 AM
.travis.yml
87

Somewhere on travis I guess

stefan_schmidt accepted this revision.Aug 8 2018, 6:39 AM
This revision was automatically updated to reflect the committed changes.